<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="item"
            type="com.example.foodyappv2.data.model.Store" />

        <variable
            name="itemPosition"
            type="Integer" />

        <variable
            name="listener"
            type="com.example.foodyappv2.presentation.storedetail.StoreImageAdapter.FoodImageListener" />

    </data>

    <androidx.coordinatorlayout.widget.CoordinatorLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/black"
        android:fitsSystemWindows="true">

        <com.google.android.material.appbar.AppBarLayout
            android:id="@+id/app_bar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:fitsSystemWindows="true">

            <com.google.android.material.appbar.CollapsingToolbarLayout
                android:id="@+id/toolbar_layout"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/black"
                android:fitsSystemWindows="true"
                app:layout_scrollFlags="scroll|exitUntilCollapsed"
                app:toolbarId="@+id/toolbar">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rvStoreDetailImageFood"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dimen_320px"
                    android:orientation="horizontal"
                    app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                    app:layout_anchor="@+id/app_bar"
                    app:layout_anchorGravity="center"
                    app:layout_collapseMode="parallax"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <androidx.appcompat.widget.Toolbar
                    android:id="@+id/tbStoreDetail"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:contentInsetStart="0dp"
                    android:contentInsetLeft="0dp"
                    android:contentInsetEnd="0dp"
                    android:contentInsetRight="0dp"
                    android:padding="0dp"
                    app:contentInsetEnd="0dp"
                    app:contentInsetLeft="0dp"
                    app:contentInsetRight="0dp"
                    app:contentInsetStart="0dp"
                    app:layout_collapseMode="pin">

                    <ImageView
                        android:id="@+id/ivStoreDetailBack"
                        android:layout_width="60dp"
                        android:layout_height="60dp"
                        android:adjustViewBounds="true"
                        android:background="@drawable/ripple_click_square_circle"
                        android:padding="23dp"
                        android:scaleType="centerCrop"
                        android:src="@drawable/ic_left_arrow"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                </androidx.appcompat.widget.Toolbar>

            </com.google.android.material.appbar.CollapsingToolbarLayout>

        </com.google.android.material.appbar.AppBarLayout>

        <androidx.core.widget.NestedScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/background_gray"
            android:overScrollMode="never"
            android:scrollbars="none"
            app:layout_behavior="@string/appbar_scrolling_view_behavior">

            <LinearLayout
                android:id="@+id/llStoreDetailAbout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:orientation="vertical"
                android:overScrollMode="never"
                android:paddingBottom="10dp"
                android:scrollbars="none"
                app:layout_constraintTop_toBottomOf="@+id/llRate">

                <RelativeLayout
                    android:id="@+id/rlStoreDetailInformation"
                    android:layout_width="match_parent"
                    android:layout_height="110dp"
                    android:background="@color/white"
                    android:elevation="1dp"
                    app:layout_constraintTop_toTopOf="parent">

                    <TextView
                        android:id="@+id/tvStoreDetailColab"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentTop="true"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="15dp"
                        android:drawableStart="@drawable/ic_checked_food"
                        android:drawablePadding="4dp"
                        android:fontFamily="@font/cera_pro_medim"
                        android:text="Đối tác"
                        android:textColor="@color/light_blue"
                        android:textSize="13sp" />

                    <TextView
                        android:id="@+id/tvStoreDetailName"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_below="@id/tvStoreDetailColab"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="8dp"
                        android:text="@{item.name}"
                        android:background="@drawable/ripple_click_square"
                        android:fontFamily="@font/cera_pro_bold"
                        android:textColor="@color/black"
                        android:textSize="25sp"
                        tools:text="Indian Mastery Resto" />

                    <LinearLayout
                        android:id="@+id/llRange"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_below="@id/tvStoreDetailName"
                        android:layout_centerHorizontal="true"
                        android:layout_marginHorizontal="22dp"
                        android:layout_marginTop="10dp"
                        android:gravity="center"
                        android:orientation="horizontal">

                        <TextView
                            android:id="@+id/tvStoreDetailRange"
                            android:layout_width="wrap_content"
                            android:text="@{item.range + ` km`}"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/cera_pro_medim"
                            android:textColor="@color/gray"
                            android:textSize="13sp"
                            tools:text="Range" />

                        <TextView
                            android:id="@+id/tvDots2"
                            android:layout_width="4dp"
                            android:layout_height="4dp"
                            android:layout_marginStart="4dp"
                            android:background="@drawable/border_2_gray_fill"
                            android:fontFamily="@font/roboto_light"
                            android:gravity="center" />

                        <TextView
                            android:id="@+id/tvStoreDetailAddress"
                            android:text="@{item.address}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerHorizontal="true"
                            android:layout_marginStart="4dp"
                            android:fontFamily="@font/cera_pro_light"
                            android:singleLine="true"
                            android:textColor="@color/gray"
                            android:textSize="13sp" />

                    </LinearLayout>

                </RelativeLayout>

                <LinearLayout
                    android:id="@+id/llRate"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/white_fill"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:paddingHorizontal="15dp"
                    android:paddingVertical="15dp"
                    tools:layout_editor_absoluteX="106dp">

                    <TextView
                        android:id="@+id/tvStoreDetailRate"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:drawableStart="@drawable/ic_star"
                        android:drawablePadding="4dp"
                        android:fontFamily="@font/cera_pro_light"
                        android:gravity="center"
                        android:text="4.5"
                        android:textColor="@color/gray"
                        android:textSize="13sp" />

                    <TextView
                        android:id="@+id/tvStoreDetailDots"
                        android:layout_width="4dp"
                        android:layout_height="4dp"
                        android:layout_marginStart="4dp"
                        android:background="@drawable/border_2_gray_fill"
                        android:gravity="center" />

                    <TextView
                        android:id="@+id/tvStoreDetailTotalBought"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="4dp"
                        android:drawableStart="@drawable/ic_carts"
                        android:drawablePadding="4dp"
                        android:fontFamily="@font/cera_pro_light"
                        android:gravity="center"
                        android:text="26"
                        android:textColor="@color/gray"
                        android:textSize="13sp" />

                    <TextView
                        android:id="@+id/tvStoreDetailViewRate"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/cera_pro_bold"
                        android:gravity="end|center_vertical"
                        android:text="@string/see_review"
                        android:textColor="@color/light_blue"
                        android:textSize="13sp" />

                </LinearLayout>

                <TextView
                    android:id="@+id/tvStoreDetailAbout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:fontFamily="@font/cera_pro_medim"
                    android:paddingStart="15dp"
                    android:text="@string/about"
                    android:textColor="@color/black"
                    android:textSize="20sp" />

                <TextView
                    android:id="@+id/tvStoreDetailDescription"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="14dp"
                    android:fontFamily="@font/roboto_light"
                    android:lineHeight="20dp"
                    android:lineSpacingExtra="3dp"
                    android:paddingHorizontal="15dp"
                    android:text="@string/content"
                    android:textColor="@color/gray"
                    android:textSize="16sp" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rvStoreDetailFood"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:background="@color/white"
                    android:overScrollMode="never"
                    android:scrollbars="none"
                    app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />

            </LinearLayout>

        </androidx.core.widget.NestedScrollView>

    </androidx.coordinatorlayout.widget.CoordinatorLayout>

</layout>